# Archivo: GerenteSyCMenu.py
# Ruta: src\App\SupyCtrol_Module\GerenteSyC\RutasPronFlujo_Contratos.py
# Lenguaje: Python con Flask
from dotenv import load_dotenv
import ftplib
from werkzeug.utils import secure_filename
import tempfile
from flask import render_template
from flask import jsonify, request
from Consultas_SQL.SupYCtrol.GerenteSyC.GSYCReporte_financiero_ContratosSQL import (
    get_Consulta
)
import requests
import os

# Cargar las variables de entorno desde el archivo .env
load_dotenv()

def GSYC_Reporte_financiero_Contratos_routes(app):
    """
    Registra las rutas para la gestión directamente en la aplicación Flask.
    """
         
    @app.route("/SYS/GSYC/listReporte_financiero_Contratos", methods=["GET"])
    def listReporte_financiero_Contratos():
        """Retorna la lista de departamentos."""
        try:
            resultado = get_Consulta()
            #resultado = []
            return jsonify(resultado), 200
        except Exception as e:
            return jsonify({"error": str(e)}), 500
        